const TILE_NAMES = {
    "0": "bamboo 1",
    "1": "bamboo 2",
    "2": "bamboo 3",
    "3": "bamboo 4",
    "4": "bamboo 5",
    "5": "bamboo 6",
    "6": "bamboo 7",
    "7": "bamboo 8",
    "8": "bamboo 9",
    "9": "characters 1",
    "10": "characters 2",
    "11": "characters 3",
    "12": "characters 4",
    "13": "characters 5",
    "14": "characters 6",
    "15": "characters 7",
    "16": "characters 8",
    "17": "characters 9",
    "18": "dots 1",
    "19": "dots 2",
    "20": "dots 3",
    "21": "dots 4",
    "22": "dots 5",
    "23": "dots 6",
    "24": "dots 7",
    "25": "dots 8",
    "26": "dots 9",
    "27": "east",
    "28": "south",
    "29": "west",
    "30": "north",
    "31": "green dragon",
    "32": "red dragon",
    "33": "white dragon"
  };
  
  const TILE_CODES = {
    "0": "b1",
    "1": "b2",
    "2": "b3",
    "3": "b4",
    "4": "b5",
    "5": "b6",
    "6": "b7",
    "7": "b8",
    "8": "b9",
    "9": "c1",
    "10": "c2",
    "11": "c3",
    "12": "c4",
    "13": "c5",
    "14": "c6",
    "15": "c7",
    "16": "c8",
    "17": "c9",
    "18": "d1",
    "19": "d2",
    "20": "d3",
    "21": "d4",
    "22": "d5",
    "23": "d6",
    "24": "d7",
    "25": "d8",
    "26": "d9",
    "27": "E",
    "28": "S",
    "29": "W",
    "30": "N",
    "31": "F",
    "32": "C",
    "33": "P"
  };
  
  const TILE_GLYPHS = {
    "0": "Sou1.svg",
    "1": "Sou2.svg",
    "2": "Sou3.svg",
    "3": "Sou4.svg",
    "4": "Sou5.svg",
    "5": "Sou6.svg",
    "6": "Sou7.svg",
    "7": "Sou8.svg",
    "8": "Sou9.svg",
    "9": "Man1.svg",
    "10": "Man2.svg",
    "11": "Man3.svg",
    "12": "Man4.svg",
    "13": "Man5.svg",
    "14": "Man6.svg",
    "15": "Man7.svg",
    "16": "Man8.svg",
    "17": "Man9.svg",
    "18": "Pin1.svg",
    "19": "Pin2.svg",
    "20": "Pin3.svg",
    "21": "Pin4.svg",
    "22": "Pin5.svg",
    "23": "Pin6.svg",
    "24": "Pin7.svg",
    "25": "Pin8.svg",
    "26": "Pin9.svg",
    "27": "",
    "28": "",
    "29": "",
    "30": "",
    "31": "",
    "32": "",
    "33": "",
  };
  
  const SUIT_NAMES = {
    "0": "bamboo",
    "1": "characters",
    "2": "dots",
    "3": "winds",
    "4": "dragons"
  };
  
  if (typeof module !== "undefined" && module.exports) {
    module.exports = {
      TILE_NAMES,
      TILE_CODES,
      TILE_GLYPHS,
      SUIT_NAMES
    };
  }